### Property

# Gio InetAddress:family

since: 2.22

#### Declaration

    property family: Gio.SocketFamily [ read, write, construct-only ]

#### Description

The address family (IPv4 or IPv6).

Type: | `GSocketFamily`
Available since: | 2.22

Default value | G_SOCKET_FAMILY_INVALID
Getter method | `g_inet_address_get_family()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes